{*******************************************************}
{                                                       }
{                   Avrora  PISHTI                      }
{                                                       }
{           Copyright (c) 1999 Avrora LLC               }
{                                                       }
{*******************************************************}

unit UDialogSettings;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComCtrls, RXSpin;

type
  TDialogSettings = class(TForm)
    btOk: TButton;
    AnimSpeed: TTrackBar;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    TableDelay: TRxSpinEdit;
    DialogDelay: TRxSpinEdit;
    Label4: TLabel;
    DScore: TCheckBox;
    btCancel: TButton;
    DPoints: TCheckBox;
    RDeck: TCheckBox;
    CDeck: TCheckBox;
    FinishScore: TRxSpinEdit;
    btDefaults: TButton;
    procedure FormCreate(Sender: TObject);
    procedure btDefaultsClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  DialogSettings: TDialogSettings;

implementation

{$R *.DFM}

procedure TDialogSettings.FormCreate(Sender: TObject);
begin
  Top := Application.MainForm.Top + ((Application.MainForm.Height - Height) div 2) + 20;
  Left :=Application.MainForm.Left + ((Application.MainForm.Width - Width) div 2);
end;

procedure TDialogSettings.btDefaultsClick(Sender: TObject);
begin
  FinishScore.Value := 151;
  TableDelay.Value := 500;
  DialogDelay.value := 0;
  DScore.Checked := True;
  DPoints.Checked := True;
  RDeck.Checked := False;
  CDeck.Checked := False;
  AnimSpeed.Position := 6;
end;

end.
